Skip to main content
GET
List recent subscriber activity

Authorizations

apiKey
string
header
required

Your OFAuth API key for authenticating requests.

x-connection-id
string
header
required

Requires a connection via the x-connection-id header.

Query Parameters

startDate
string
required

Start of the subscriber activity window. Use YYYY-MM-DD HH:mm:ss or an ISO 8601 timestamp, for example 2026-04-26 00:00:00.

endDate
string
required

End of the subscriber activity window. Use the current time for an open-ended recent-activity report, for example 2026-05-03 09:51:54.

limit
integer
default:10

Number of items to return (1-20, default: 10)

Required range: 1 <= x <= 20
offset
integer | null
default:0

Number of items to skip (default: 0)

Required range: x >= 0

Response

Successful response

list
object[]
required

Subscribers returned for this page.

hasMore
boolean
required

Whether another page is available.

nextOffset
number

Offset to use for the next page when hasMore is true.